import Redis from 'ioredis';
export declare type RedisArgumentType = string | number;
export declare type RedisScriptCall = (args: RedisArgumentType[], keys: string[]) => Promise<any>;
export declare function prepare_redis_script(redis: Redis.Redis, script: string): Promise<RedisScriptCall>;
export declare function clone_redis_connection(redis: Redis.Redis): Promise<Redis.Redis>;
export declare function create_client_id(redis: Redis.Redis, clientIndexKey: string): Promise<number>;
